Bug 57922 - Computer crashes when using ip masquerading (ipchains)
Computer crashes when using ip masquerading (ipchains)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-01 17:07 EST by Iancu Avram
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-02 03:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iancu Avram 2002-01-01 17:07:13 EST
Description of Problem:
When I use ip masquerading with ipchains, I segmentation faults after a 
short time and then the whole system crashes

Version-Release number of selected component (if applicable):

How Reproducible:
I have a lan and a cable modem.
The cable modem is connected to the linux box and I share the internet 
connection with the LAN.  On the lan there are two computers: the linux 
box and a Win Me computer.  I used ip masquerading (with ipchains) and put 
an masq entry in the forward chain.  Everything works perfect, only that 
after a time, the linux box crashes.  

Steps to Reproduce:
1. Configure ipchains (masq entry in forward chain)
2. wait for a time, starting programs will make it crash faster
3. 

Actual Results:
Every application begins giving segmentation faults.
Comment 1 Arjan van de Ven 2002-01-02 03:30:07 EST
The original 7.1 kernel (2.4.2-2) had a bug where masquerading of gnutella and
some other programs caused such behavior; it is fixed in the errata (update)
kernel we released a while ago (2.4.9-12). See http://www.redhat.com/support for
more info on how to install this kernel (or use up2date)

Note You need to log in before you can comment on or make changes to this bug.